<!DOCTYPE html>
<html lang="en">
<head>
<title>结汇明细备案demo</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css">
body {
	font-size: 10px;
}

table {
  border-collapse: collapse;
}

table, th, td {
  border-bottom: 1px solid #ddd;
  padding: 5px;
  text-align: left;
}

</style>
</head>
<body>
	<a href="${basePath}/index.html">返回首页</a>
	<h1>结汇明细备案</h1>
	<br>
	<form action="${basePath}/doGcbFxSettleDetailApply.do" method="post">
	<table>
		<tr>
			<td>参数名称</td>
			<td>参数值</td>
			<td>参数说明</td>
		</tr>
		<tr>
			<td>merchantId</td>
			<td><input type="text" name="merchantId" value="${req.merchantId}" /></td>
			<td>必填，商户号</td>
		</tr>
		<tr>
			<td>terminalId</td>
			<td><input type="text" name="terminalId" value="${req.terminalId}" /></td>
			<td>必填，虚拟终端号</td>
		</tr>
		<tr>
			<td>receiptId</td>
			<td><input type="text" name="receiptId" value="${req.receiptId}" /></td>
			<td>非必填，收汇流水号</td>
		</tr>
		<tr>
			<td>batchNo</td>
			<td><input type="text" name="batchNo" value="${req.batchNo}" /></td>
			<td>必填，结汇申请批次号 对应同一笔汇款;同一商户号唯一</td>
		</tr>
		<tr>
			<td>ordNum</td>
			<td><input type="text" name="ordNum" value="${req.ordNum}" /></td>
			<td>必填，请求序号</td>
		</tr>
		<tr>
            <td>requestTime</td>
            <td><input type="text" name="requestTime" value="${req.requestTime}" /></td>
            <td>必填，请求时间</td>
        </tr>
        <tr>
            <td>payCur</td>
            <td><input type="text" name="payCur" value="${req.payCur}" /></td>
            <td>必填，币种</td>
        </tr>
        <tr>
            <td>sumCnt</td>
            <td><input type="text" name="sumCnt" value="${req.sumCnt}" /></td>
            <td>必填，批次的总笔数</td>
        </tr>
        <tr>
            <td>sumAmt</td>
            <td><input type="text" name="sumAmt" value="${req.sumAmt}" /></td>
            <td>必填，批次总金额，格式为实际金额扩大100倍提交。如10000,表示100元</td>
        </tr>
        <tr>
            <td>payTotalCnt</td>
            <td><input type="text" name="payTotalCnt" value="${req.payTotalCnt}" /></td>
            <td>必填，本次请求的总笔数，单次备案数据不超过5000笔。</td>
        </tr>
        <tr>
            <td>payTotalAmt</td>
            <td><input type="text" name="payTotalAmt" value="${req.payTotalAmt}" /></td>
            <td>必填，本次请求的总金额，格式为实际金额扩大100倍提交。</td>
        </tr>
        <tr>
            <td>ext1</td>
            <td><input type="text" name="ext1" value="${req.ext1}" /></td>
            <td>非必填，扩展字段1</td>
        </tr>
        <tr>
            <td>ext2</td>
            <td><input type="text" name="ext2" value="${req.ext2}" /></td>
            <td>非必填，扩展字段1</td>
        </tr>
        <tr>
            <td>reviewUrl</td>
            <td><input type="text" name="reviewUrl" size="70" value="${req.reviewUrl}" /></td>
            <td>必填，校验结果通知地址</td>
        </tr>
        <tr>
            <td>resultUrl</td>
            <td><input type="text" name="resultUrl" size="70" value="${req.resultUrl}" /></td>
            <td>必填，结果通知地址</td>
        </tr>
        <tr>
            <td>details</td>
            <td><textarea name="jsonDetails" rows="10", cols="70">${jsonDetails}</textarea></td>
            <td>必填，明细</td>
        </tr>
		<tr>
			<td></td>
			<td><button type="submit">提交请求信息</button></td>
			<td></td>
		</tr>
	</table>
	</form>
</body>
</html>
